Source: haskell-diagrams-lib
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-juicypixels-dev (>= 3.3.4),
 libghc-juicypixels-dev (<< 3.4),
 libghc-juicypixels-prof,
 libghc-active-dev (>= 0.2),
 libghc-active-dev (<< 0.3),
 libghc-active-prof,
 libghc-adjunctions-dev (<< 5.0),
 libghc-adjunctions-dev (>= 4.0),
 libghc-adjunctions-prof,
 libghc-cereal-dev (>= 0.4.1.1),
 libghc-cereal-dev (<< 0.6),
 libghc-cereal-prof,
 libghc-colour-dev (>= 2.3.2),
 libghc-colour-dev (<< 2.4),
 libghc-colour-dev (>= 2.3.2),
 libghc-colour-prof,
 libghc-data-default-class-dev (<< 0.2),
 libghc-data-default-class-prof,
 libghc-diagrams-core-dev (>= 1.4),
 libghc-diagrams-core-dev (<< 1.5),
 libghc-diagrams-core-prof,
 libghc-diagrams-solve-dev (<< 0.2),
 libghc-diagrams-solve-dev (>= 0.1),
 libghc-diagrams-solve-prof,
 libghc-distributive-dev (<< 1.0),
 libghc-distributive-dev (>= 0.2.2),
 libghc-distributive-prof,
 libghc-dual-tree-dev (<< 0.3),
 libghc-dual-tree-dev (>= 0.2),
 libghc-dual-tree-prof,
 libghc-exceptions-dev (<< 1.0),
 libghc-exceptions-dev (>= 0.6),
 libghc-exceptions-prof,
 libghc-fingertree-dev (<< 0.2),
 libghc-fingertree-dev (>= 0.1),
 libghc-fingertree-prof,
 libghc-fsnotify-dev (>= 0.2.1),
 libghc-fsnotify-dev (<< 0.4),
 libghc-fsnotify-prof,
 libghc-hashable-dev (>= 1.1),
 libghc-hashable-dev (<< 1.4),
 libghc-hashable-prof,
 libghc-juicypixels-dev (<< 3.4),
 libghc-juicypixels-dev (>= 3.1.5),
 libghc-juicypixels-prof,
 libghc-intervals-dev (>= 0.7),
 libghc-intervals-dev (<< 0.10),
 libghc-intervals-prof,
 libghc-lens-dev (>= 4.6),
 libghc-lens-dev (<< 4.20),
 libghc-lens-prof,
 libghc-linear-dev (>= 1.20.1),
 libghc-linear-dev (<< 1.22),
 libghc-linear-prof,
 libghc-monoid-extras-dev (>= 0.3),
 libghc-monoid-extras-dev (<< 0.6),
 libghc-monoid-extras-prof,
 libghc-optparse-applicative-dev (>= 0.11),
 libghc-optparse-applicative-dev (<< 0.16),
 libghc-optparse-applicative-prof,
 libghc-profunctors-dev (>= 5.0),
 libghc-profunctors-dev (<< 6.0),
 libghc-profunctors-prof,
 libghc-semigroups-dev (>= 0.3.4),
 libghc-semigroups-dev (<< 0.20),
 libghc-semigroups-prof,
 libghc-tagged-dev (>= 0.7),
 libghc-tagged-prof,
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-active-doc,
 libghc-adjunctions-doc,
 libghc-cereal-doc,
 libghc-colour-doc,
 libghc-data-default-class-doc,
 libghc-diagrams-core-doc,
 libghc-diagrams-solve-doc,
 libghc-distributive-doc,
 libghc-dual-tree-doc,
 libghc-exceptions-doc,
 libghc-fingertree-doc,
 libghc-fsnotify-doc,
 libghc-hashable-doc,
 libghc-intervals-doc,
 libghc-juicypixels-doc,
 libghc-lens-doc,
 libghc-linear-doc,
 libghc-monoid-extras-doc,
 libghc-optparse-applicative-doc,
 libghc-profunctors-doc,
 libghc-semigroups-doc,
 libghc-tagged-doc,
 libghc-unordered-containers-doc,
Standards-Version: 4.5.0
Homepage: https://diagrams.github.io
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-diagrams-lib
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-diagrams-lib]

Package: libghc-diagrams-lib-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 libghc-diagrams-dev,
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Embedded domain-specific language for declarative graphics${haskell:ShortBlurb}
 Diagrams is a flexible, extensible EDSL for creating graphics of many types.
 Graphics can be created in arbitrary vector spaces and rendered with multiple
 backends.  diagrams-lib provides a standard library of primitives and
 operations for creating diagrams.  To get started using it, see
 "Diagrams.Prelude".
 .
 ${haskell:Blurb}

Package: libghc-diagrams-lib-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 libghc-diagrams-prof,
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Embedded domain-specific language for declarative graphics${haskell:ShortBlurb}
 Diagrams is a flexible, extensible EDSL for creating graphics of many types.
 Graphics can be created in arbitrary vector spaces and rendered with multiple
 backends.  diagrams-lib provides a standard library of primitives and
 operations for creating diagrams.  To get started using it, see
 "Diagrams.Prelude".
 .
 ${haskell:Blurb}

Package: libghc-diagrams-lib-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 libghc-diagrams-doc,
 ${haskell:Suggests},
Description: Embedded domain-specific language for declarative graphics${haskell:ShortBlurb}
 Diagrams is a flexible, extensible EDSL for creating graphics of many types.
 Graphics can be created in arbitrary vector spaces and rendered with multiple
 backends.  diagrams-lib provides a standard library of primitives and
 operations for creating diagrams.  To get started using it, see
 "Diagrams.Prelude".
 .
 ${haskell:Blurb}
